import classes from './NewPost.module.css';

function NewPost() {
  const [enteredTitle, setEnteredTitle] = useState('');

  function updateTitleHandler(event) {
    setEnteredTitle(event.target.value);
  }

  function submitHandler(event) {
    event.preventDefault();
    // Do zrobienia: obsługa tworzenia nowych artykułów i przesyłania danych
    // na adres https://jsonplaceholder.typicode.com/posts za pomocą żądania POST.
  }

  return (
    <form onSubmit={submitHandler} className={classes.form}>
      <div>
        <label>Tytuł</label>
        <input type="text" onChange={updateTitleHandler} value={enteredTitle} />
      </div>
      <button>Zapisz</button>
    </form>
  );
}

export default NewPost;
